For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
      • POSTCreate Credentials
      • DELDelete Credentials
      • GETGet Credentials
      • GETList Credentials
      • PUTUpdate Credentials
Get Started
LogoLogo
API ReferenceSystem Credentials

Update Credentials

PUT
https://api.coactive.ai/api/v1/auth-management/clients/:client_id
PUT
/api/v1/auth-management/clients/:client_id
$curl -X PUT https://api.coactive.ai/api/v1/auth-management/clients/client_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "My OAuth Client",
> "roles": [
> {
> "role_id": "admin"
> }
> ]
>}'
1{
2 "client_id": "client_123",
3 "client_secret": "secret_123",
4 "name": "My OAuth Client",
5 "roles": [
6 {
7 "role_id": "admin"
8 },
9 {
10 "role_id": "editor",
11 "resource": "dataset",
12 "resource_instance": "c1a7cb60-1731-4c0f-b966-165263c30896"
13 }
14 ]
15}
Update system-level credentials. This endpoint allows updating the name and roles of existing system-level credentials. The access of the system-level credentials is scoped to its roles. **If no roles are provided, the system-level credentials will have full access to all resources**. If the credentials was previously assigned roles and no roles are provided in the update request, the credentials will gain full access to all resources.
Was this page helpful?
Previous

Create Invitation

Next
Built with

Update system-level credentials.

This endpoint allows updating the name and roles of existing system-level credentials.

The access of the system-level credentials is scoped to its roles. If no roles are provided, the system-level credentials will have full access to all resources. If the credentials was previously assigned roles and no roles are provided in the update request, the credentials will gain full access to all resources.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

client_idstringRequired

The client ID of the system-level credentials

Request

This endpoint expects an object.
namestring or nullOptional

Display name for the system-level credentials

roleslist of objects or nullOptional

List of roles to assign to the system-level credentials. This is only available to organizations that are RBAC-enabled. Please contact support if you would like to enable RBAC for your organization.

roles_contextstring or nullOptional

Context for the roles to update. This can either be ‘system’ for system-level roles or ‘dataset:{dataset_id}’ for dataset-level roles.

Response

The updated system-level credentials details

client_idstring
OAuth client ID
client_secretstring

OAuth client secret (only returned on creation)

namestring
Display name for the OAuth client
roleslist of objects
List of roles assigned to the client

Errors

422
Unprocessable Entity Error